<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_450"
        android:background="#46B7D6"
        app:layout_constraintTop_toTopOf="parent" />


    <FrameLayout
        android:id="@+id/flTop"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingTop="@dimen/dp_24"
        app:layout_constraintTop_toTopOf="parent">


        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/dp_16"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            tools:ignore="UselessParent">

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_16"
                app:srcCompat="@drawable/icon_home" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_8"
                android:text="@string/app_name"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_19"
                android:textStyle="bold" />
        </LinearLayout>


    </FrameLayout>


    <FrameLayout

        android:id="@+id/flClean"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="0dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/flTop">

        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/lottie"
            android:layout_width="@dimen/dp_200"
            android:layout_height="@dimen/dp_200"
            app:lottie_autoPlay="true"
            app:lottie_cacheComposition="true"
            app:lottie_fileName="home_cleaning_lottie.json"
            app:lottie_loop="true" />

    </FrameLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_16"
        android:layout_marginTop="@dimen/dp_16"
        android:gravity="start"
        android:orientation="vertical"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/flClean">

        <TextView
            android:id="@+id/tvMemoryPercent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="88%"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_12"
            tools:ignore="HardcodedText" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_6"
            android:text="@string/memory_used"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_12" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_16"
        android:layout_marginEnd="@dimen/dp_16"
        android:gravity="end"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/flClean">

        <TextView
            android:id="@+id/tvStoragePercent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="88%"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_12"
            tools:ignore="HardcodedText" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_6"
            android:text="@string/storage_used"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_12" />
    </LinearLayout>

    <TextView
        android:id="@+id/tvSize"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/scanning"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_16"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/flClean" />

    <TextView
        android:id="@+id/tvClean"
        android:layout_width="@dimen/dp_108"
        android:layout_height="@dimen/dp_38"
        android:layout_marginHorizontal="@dimen/dp_80"
        android:layout_marginTop="@dimen/dp_18"
        android:background="@drawable/bg_stroke_ffffff_48"
        android:foreground="?attr/selectableItemBackground"
        android:gravity="center"
        android:text="@string/clean"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_14"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tvSize" />


    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="@dimen/dp_16"
        android:background="@color/white"
        android:overScrollMode="never"
        android:paddingHorizontal="@dimen/dp_8"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tvClean" />


</androidx.constraintlayout.widget.ConstraintLayout>